/* Example file showing servo support in 
 * Arduino library & modified Firmata firmware
 * bjoern@stanford.edu, 1/5/08
 */
import processing.serial.*;
import cc.arduino.*;

Arduino arduino;
int pos=0; //servo position in degrees (0..180)

void setup() {
  size(360, 200);
  
  arduino = new Arduino(this, Arduino.list()[2], 57600); //your offset may vary
  
  //initialize the servo on pin 9
  arduino.servoAttach(9);
  // set minimum and maximum pulse times
  arduino.servoSetMinPulseTime(9,500);
  arduino.servoSetMaxPulseTime(9,2500);

  //attach a second servo on pin 10, keeping default pulse times
  arduino.servoAttach(10);
}

void draw() {
  // read mouseX coordinate
  int newPos = constrain(mouseX/2,0,180); 

  // update bg & servo position if mouseX changed
  if(newPos != pos) {
    background(newPos);
    arduino.servoWrite(9,newPos);
    arduino.servoWrite(10,180-newPos);
    pos=newPos; //update servo position storage variable
  }
}
